org.keycloak.representations.idm.authorization

## Class PolicyEvaluationRequest

- java.lang.Object
- - org.keycloak.representations.idm.authorization.PolicyEvaluationRequest

-     public class PolicyEvaluationRequest
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyEvaluationRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PolicyEvaluationRequest` | `addResource(String name, String... scopes)`
    `String` | `getClientId()`
    `Map<String,Map<String,String>>` | `getContext()`
    `List<ResourceRepresentation>` | `getResources()`
    `List<String>` | `getRoleIds()`
    `String` | `getUserId()`
    `boolean` | `isEntitlements()`
    `void` | `setClientId(String clientId)`
    `void` | `setContext(Map<String,Map<String,String>> context)`
    `void` | `setEntitlements(boolean entitlements)`
    `void` | `setResources(List<ResourceRepresentation> resources)`
    `void` | `setRoleIds(List<String> roleIds)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyEvaluationRequest

          public PolicyEvaluationRequest()

  - ### Method Detail

    - #### getContext

          public Map<String,Map<String,String>> getContext()

    - #### setContext

          public void setContext(Map<String,Map<String,String>> context)

    - #### getResources

          public List<ResourceRepresentation> getResources()

    - #### setResources

          public void setResources(List<ResourceRepresentation> resources)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getRoleIds

          public List<String> getRoleIds()

    - #### setRoleIds

          public void setRoleIds(List<String> roleIds)

    - #### isEntitlements

          public boolean isEntitlements()

    - #### setEntitlements

          public void setEntitlements(boolean entitlements)

    - #### addResource

          public PolicyEvaluationRequest addResource(String name,
                                                     String... scopes)

Copyright © 2020 JBoss by Red Hat. All rights reserved.